/// <reference types="react" />
import { TooltipProps } from '@highlight-ui/tooltip';
export declare type LabelProps = {
    /**
     * The text to be displayed
     */
    label: string;
    /**
     * Same as HTML `for` attribute
     */
    htmlFor?: string;
    /**
     * The content of the tooltip pop-out
     */
    tooltipContent?: TooltipProps['content'];
    /**
     * Specifies how to to keep the tooltip opened after the mouse has left the tooltip icon
     */
    tooltipMouseOutDelay?: TooltipProps['mouseOutDelay'];
    /**
     * The hint text can be used to specify if a field is required/optional
     */
    hintText?: string;
};
declare const Label: ({ label, tooltipContent, tooltipMouseOutDelay, htmlFor, hintText, }: LabelProps) => JSX.Element;
export default Label;
